Rotate an API client's keys
POST
/auth/clients/{id}/rotate
const url = 'https://apisandbox.puurk.com/auth/clients/example/rotate';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/auth/clients/example/rotate \ --header 'Authorization: Bearer <token>'Deprecates all of the client’s active keys with a 7-day grace period and issues one new key. The api_key in the response is shown once and never retrievable again.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ID of the API client
Responses
Section titled “Responses”New API key issued
Unauthorized
API client not found
API client is deactivated